NX Open C++ Reference Guide
Classes | Public Member Functions | List of all members
NXOpen::Motion::CurveContactCollection Class Reference

Represents a collection of 2D contact objects.Any 2D contact object must be created and found through this class
To obtain an instance of this class, refer to NXOpen::Motion::MotionManager

Created in NX5.0.0. More...

Inheritance diagram for NXOpen::Motion::CurveContactCollection:
NXOpen::TaggedObjectCollection

Classes

class  iterator
 Iterator for accessing the contents of the collection. More...
 

Public Member Functions

iterator begin ()
 Returns an iterator addressing the first element. More...
 
NXOpen::Motion::CurveContactBuilderCreateCurveContactBuilder (NXOpen::Motion::CurveContact *contactobj)
 Creates a NXOpen::Motion::CurveContact. More...
 
iterator end ()
 Returns an iterator addressing one past the last element. More...
 
NXOpen::Motion::CurveContactFindObject (const NXString &name)
 Finds the NXOpen::Motion::CurveContact with the given name. More...
 
NXOpen::Motion::CurveContactFindObject (const char *name)
 Finds the NXOpen::Motion::CurveContact with the given name. More...
 
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of 2D contact objects.Any 2D contact object must be created and found through this class
To obtain an instance of this class, refer to NXOpen::Motion::MotionManager

Created in NX5.0.0.


Member Function Documentation

iterator NXOpen::Motion::CurveContactCollection::begin ( )

Returns an iterator addressing the first element.

NXOpen::Motion::CurveContactBuilder* NXOpen::Motion::CurveContactCollection::CreateCurveContactBuilder ( NXOpen::Motion::CurveContact contactobj)

Creates a NXOpen::Motion::CurveContact.

Returns

Created in NX5.0.0.

License requirements : mechanisms ("MECHANISMS")
Parameters
contactobj"NXOpen::Motion::CurveContact to be edited, if NULL then create a new one
iterator NXOpen::Motion::CurveContactCollection::end ( )

Returns an iterator addressing one past the last element.

NXOpen::Motion::CurveContact* NXOpen::Motion::CurveContactCollection::FindObject ( const NXString name)

Finds the NXOpen::Motion::CurveContact with the given name.

An exception will be thrown if no object can be found with given name.

Returns
NXOpen::Motion::CurveContact with this name.
Created in NX5.0.0.

License requirements : mechanisms ("MECHANISMS")
Parameters
nameThe name of the NXOpen::Motion::CurveContact .
NXOpen::Motion::CurveContact* NXOpen::Motion::CurveContactCollection::FindObject ( const char *  name)

Finds the NXOpen::Motion::CurveContact with the given name.

An exception will be thrown if no object can be found with given name.

Returns
NXOpen::Motion::CurveContact with this name.
Created in NX5.0.0.

License requirements : mechanisms ("MECHANISMS")
Parameters
nameThe name of the NXOpen::Motion::CurveContact .
tag_t NXOpen::Motion::CurveContactCollection::Tag ( ) const

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.